## org.jfree.chart.axis
Class TickUnits

    java.lang.Object
      org.jfree.chart.axis.TickUnits

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable, TickUnitSource

public class TickUnits
extends java.lang.Object
implements TickUnitSource, java.lang.Cloneable, java.io.Serializable

A collection of tick units.

Used by the `DateAxis` and `NumberAxis` classes.

See Also:
  Serialized Form

Constructor Summary
`TickUnits()` Constructs a new collection of tick units.

Method Summary
`void` `add(TickUnit unit)` Adds a tick unit to the collection.
`java.lang.Object` `clone()` Returns a clone of the collection.
`static TickUnitSource` `createIntegerTickUnits()` Deprecated. this method has been moved to the NumberAxis class.
`static TickUnitSource` `createIntegerTickUnits(java.util.Locale locale)` Deprecated. this method has been moved to the NumberAxis class.
`static TickUnitSource` `createStandardTickUnits()` Deprecated. this method has been moved to the NumberAxis class.
`static TickUnitSource` `createStandardTickUnits(java.util.Locale locale)` Deprecated. this method has been moved to the NumberAxis class.
`boolean` `equals(java.lang.Object object)` Tests an object for equality with this instance.
`TickUnit` `get(int pos)` Returns the tickunit on the given position.
`TickUnit` `getCeilingTickUnit(double size)` Returns the tick unit in the collection that is greater than or equal to the specified size.
`TickUnit` `getCeilingTickUnit(TickUnit unit)` Returns the tick unit in the collection that is greater than or equal to (in size) the specified unit.
`TickUnit` `getLargerTickUnit(TickUnit unit)` Returns a tick unit that is larger than the supplied unit.
`int` `size()` Returns the number of tick units in this collection.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TickUnits

    public TickUnits()

  Constructs a new collection of tick units.

Method Detail

### add

    public void add(TickUnit unit)

  Adds a tick unit to the collection.

  The tick units are maintained in ascending order.

  Parameters:
    `unit` - the tick unit to add.

### size

    public int size()

  Returns the number of tick units in this collection.

  This method is required for the XML writer.

  Returns:
    the number of units in this collection

### get

    public TickUnit get(int pos)

  Returns the tickunit on the given position.

  This method is required for the XML writer.

  Parameters:
    `pos` - the position in the list.
  Returns:
    the tickunit.

### getLargerTickUnit

    public TickUnit getLargerTickUnit(TickUnit unit)

  Returns a tick unit that is larger than the supplied unit.

  Specified by:
    `getLargerTickUnit` in interface `TickUnitSource`
  Parameters:
    `unit` - the unit.
  Returns:
    a tick unit that is larger than the supplied unit.

### getCeilingTickUnit

    public TickUnit getCeilingTickUnit(TickUnit unit)

  Returns the tick unit in the collection that is greater than or equal to (in size) the specified unit.

  Specified by:
    `getCeilingTickUnit` in interface `TickUnitSource`
  Parameters:
    `unit` - the unit.
  Returns:
    a unit from the collection.

### getCeilingTickUnit

    public TickUnit getCeilingTickUnit(double size)

  Returns the tick unit in the collection that is greater than or equal to the specified size.

  Specified by:
    `getCeilingTickUnit` in interface `TickUnitSource`
  Parameters:
    `size` - the size.
  Returns:
    a unit from the collection.

### createStandardTickUnits

    public static TickUnitSource createStandardTickUnits()

  Deprecated. this method has been moved to the NumberAxis class.

  Creates the standard tick units.

  If you don't like these defaults, create your own instance of TickUnits and then pass it to the setStandardTickUnits(...) method in the NumberAxis class.

  Returns:
    the standard tick units.

### createIntegerTickUnits

    public static TickUnitSource createIntegerTickUnits()

  Deprecated. this method has been moved to the NumberAxis class.

  Returns a collection of tick units for integer values.

  Returns:
    a collection of tick units for integer values.

### createStandardTickUnits

    public static TickUnitSource createStandardTickUnits(java.util.Locale locale)

  Deprecated. this method has been moved to the NumberAxis class.

  Creates the standard tick units, and uses a given Locale to create the DecimalFormats

  If you don't like these defaults, create your own instance of TickUnits and then pass it to the setStandardTickUnits(...) method in the NumberAxis class.

  Parameters:
    `locale` - the locale to use to represent Numbers.
  Returns:
    the standard tick units.

### createIntegerTickUnits

    public static TickUnitSource createIntegerTickUnits(java.util.Locale locale)

  Deprecated. this method has been moved to the NumberAxis class.

  Returns a collection of tick units for integer values. Uses a given Locale to create the DecimalFormats.

  Parameters:
    `locale` - the locale to use to represent Numbers.
  Returns:
    a collection of tick units for integer values.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of the collection.

  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if an item in the collection does not support cloning.

### equals

    public boolean equals(java.lang.Object object)

  Tests an object for equality with this instance.

  Parameters:
    `object` - the object to test.
  Returns:
    A boolean.